POST /v1/automation/workflows
POST
/v1/automation/workflowsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsondescriptionstringnamestringrequiredResponses
201Created
active_version_idstringcreated_atstringdescriptionstringidstringrequirednamestringrequiredstatusstringrequiredupdated_atstringdefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/automation/workflows" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"name": "string"
}'const response = await fetch("/v1/automation/workflows", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"description": "string",
"name": "string"
})
});import requests
response = requests.post(
"/v1/automation/workflows",
headers={
"Content-Type": "application/json"
},
json={
"description": "string",
"name": "string"
},
)Response
{
"active_version_id": "string",
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"status": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}